/*
Theme Name: Shopkeeper Child
Theme URI: http://shopkeeper.getbowtied.com/
Description: This is a child theme for Shopkeeper.
Author: Get Bowtied
Author URI: http: //www.getbowtied.com/
Template: shopkeeper
Version: 1.0
*/


/****************************************************************/
/*************** ADD YOUR CUSTOM CSS IN THIS AREA ***************/
/****************************************************************/



/* Copyleft - issue223633 */

/* Fix for the sticky product information */
html:has(.product-layout-cascade), body:has(.product-layout-cascade) {
    overflow-x: visible !important;
}

.product-layout-cascade .st-container {
    overflow: unset;
}

/* Fix for SVG logo in header */
.top-headers-wrapper:not(.sticky) .site-header .site-branding img.site-logo-img, 
.mobile-logo .mobile-logo-img {
    max-height: 30px;
    height: 20px;
}


/* Main menu */
.main-navigation ul ul {
    padding: 10px 20px;
    width: 190px;
}

.main-navigation .menu-item a {
    text-transform: uppercase;
}

.top-headers-wrapper .site-header .site-header-wrapper ul, 
.top-headers-wrapper .site-header .site-header-wrapper ol, 
.top-headers-wrapper .site-header .site-header-wrapper dl {
    font-size: 1em;
    line-height: 1.5;
}

/* Breadcrumb */
.product_layout_cascade .product_content_wrapper .product_infos .product_summary_top .woocommerce-breadcrumb, 
.product_layout_2 .product_content_wrapper .product_infos .product_summary_top .woocommerce-breadcrumb {
    width: 100%;
    float: none;
}

.product_layout_cascade .woocommerce-breadcrumb a {
    display: flex;
    align-items: center;
}

/* Category page */

.product_thumbnail_background {
    top: 0;
}

.archive .woocommerce-breadcrumb {
    display: none;
}

/* Product page */ 

.product_content_wrapper .product__info-container {
    display: grid;
    grid-template-areas: 
        "product-image product-information";
    grid-template-columns: 70% 30%;
    gap: 10em;
    margin: 0 auto;
    padding-top: 20px;
}

.product__container {    
    max-width: 80%;
    margin: 0 auto;
}

.product-images-wrapper {
    grid-area: product-image;
    min-height: 500px;
}

.product-images-container {
    grid-area: product-image;
    overflow: hidden;
}

@media screen and (min-width: 1025px) {
    .woocommerce div.product div.images img,
    .woocommerce img, .woocommerce-page img {
        height: auto;
        max-width: 100%;
        /* max-height: 75vh; */
        /* width: auto; */
    }


    img.fr-content-element {
        height: auto;
        width: 100%;
        object-fit: cover;
    }

    .product_images .product-image {
        margin-bottom: 1em;
    }

    .product-images-controller {
        display: none;
    }

    .product-gallery-mobile {
        display: none;
    }
}

/* Copyleft - Product Gallery */

.fancybox__container {
    z-index: 9999;

    .f-button.is-close-btn {
        top: 8px;
        right: 8px;
        color: #000;

        svg {
            height: 34px;
            width: 34px;
        }
    }
}

body.fixed {
    overflow: hidden;
    position: fixed;
    width: 100%;
  }


.woocommerce-product-gallery__wrapper {
    max-width: 60em;
}

.woocommerce div.product div.images .woocommerce-product-gallery__image:nth-child(n+2) {
    width: 100%;
    height: auto;
}

.woocommerce-product-gallery__image {
    margin-bottom: 1em;

    a.gallery_image_link {
        display: block;
        width: 100%;
        height: auto;
        object-fit: cover;
    }
}

/* Copyleft - Product Gallery Lightbox */

.fr-content {
    top: 0 !important;
    overflow-y: scroll;
}

/****************************************************************/
/* Custom Mobile Slider */

.swiper-container {
    width: 100%;
    height: auto;
}

.swiper-slide img {
    display: block;
    max-width: 100%;
    height: auto;
}

.swiper-pagination {
    position: absolute;
    bottom: 10px;
    text-align: center;
    width: 100%;
}

.swiper-pagination .swiper-pagination-bullet {
    background: #000;
    opacity: 0.6;
    transition: opacity 0.3s ease;
}

.swiper-pagination .swiper-pagination-bullet-active {
    opacity: 1;
}

@media screen and (max-width: 1024px) {
    .woocommerce-product-gallery__wrapper {
        display: none;
    }

    .swiper-wrapper {
        padding-bottom: 1em;
    }
}

.product__summary, .product__information {
    grid-area: product-information;
    position: sticky;
    top: 40px;
    align-self: start;
    z-index: 0;
}

.product_summary_top {
    margin-bottom: 2em;
}

.product_summary_top a::before {
    content: "";
    display: inline-block;
    height: 18px;
    width: 18px;
    background-image: url(/wp-content/uploads/2021/05/left-chevron.png);
    background-size: contain; /* Scales the image to fit within the width/height */
    background-repeat: no-repeat;
    margin-right: 10px;
    vertical-align: middle; /* Aligns it with text if needed */
}

.woocommerce #content div.product .product_title, 
.woocommerce div.product .product_title, 
.woocommerce-page #content div.product .product_title, 
.woocommerce-page div.product .product_title {
    font-size: 20px;
    text-align: right;
    line-height: 1.2;
    margin-bottom: 20px;
}

.image-column img, .product__images img {
    width: 100%;
    margin-bottom: 10px;
}

.woocommerce div.product form.cart .button {
    float: unset;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li a, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li a, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li a, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a,
.wpb_tour.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a, 
.wpb_tabs.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a, 
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active a, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active a, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active a, 
.language-and-currency #top_bar_language_list > ul > li.menu-item-first > ul.sub-menu li a:hover, 
.language-and-currency .wcml_currency_switcher > ul > li.wcml-cs-active-currency ul.wcml-cs-submenu li a:hover {
    width: 100%;
    color: rgba(0,0,0,0.9);
    text-align: right;
}

.product_layout_cascade .product_content_wrapper .woocommerce-tabs, .product_layout_2 .product_content_wrapper .woocommerce-tabs {
    width: 100%;
    padding-top: 20px;
    padding-right: 0;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active,
.product_layout_cascade .product_content_wrapper .woocommerce-tabs ul.tabs li.active, 
.product_layout_2 .product_content_wrapper .woocommerce-tabs ul.tabs li.active,
.product_layout_cascade .product_content_wrapper .woocommerce-tabs ul.tabs li, 
.product_layout_2 .product_content_wrapper .woocommerce-tabs ul.tabs li {
    margin-right: 0 !important;
    margin-left: 0 !important;
    border-top: 1px solid #d9d9d9!important;
}

.product_layout_cascade .product_content_wrapper .woocommerce-tabs .panel, 
.product_layout_2 .product_content_wrapper .woocommerce-tabs .panel {
    text-align: right;
}

.single_product_summary_upsell {
    grid-area: product-image;
}

/* Accordion */

.accordionItemContent p,.open .accordionItemContent{
	font-size: 16px;
	color: #494949;
}


/* Responsive layout for smaller screens */

@media screen and (min-width: 1025px) and (max-width: 1620px) {
    .product__information {
        padding-right: 20px;
    }
}

@media screen and (max-width: 1366px) {
    .product_content_wrapper .product__info-container {
        gap: 1em; 
    }
}

@media screen and (max-width: 1024px) {

    .product-images-container > .woocommerce-product-gallery {
        display: none;
    }

    .product_content_wrapper .product__info-container {
        display: grid;
        grid-template-areas: 
            "product-image"
            "product-information";
        grid-template-columns: 1fr;
        gap: 3em;
        margin: 0 auto;
        padding: 20px;
    }

    .woocommerce #content div.product .product_title, 
    .woocommerce div.product .product_title, 
    .woocommerce-page #content div.product .product_title, 
    .woocommerce-page div.product .product_title {
        text-align: left;
    }

    .woocommerce div.product .woocommerce-tabs ul.tabs li a, 
    .woocommerce #content div.product .woocommerce-tabs ul.tabs li a, 
    .woocommerce-page div.product .woocommerce-tabs ul.tabs li a, 
    .woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a,
    .wpb_tour.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a, 
    .wpb_tabs.wpb_content_element .wpb_tabs_nav li.ui-tabs-active a, 
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, 
    .woocommerce #content div.product .woocommerce-tabs ul.tabs li.active a, 
    .woocommerce-page div.product .woocommerce-tabs ul.tabs li.active a, 
    .woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active a, 
    .language-and-currency #top_bar_language_list > ul > li.menu-item-first > ul.sub-menu li a:hover, 
    .language-and-currency .wcml_currency_switcher > ul > li.wcml-cs-active-currency ul.wcml-cs-submenu li a:hover {
        text-align: left;
    }

    .product_layout_cascade .product_content_wrapper .woocommerce-tabs .panel, 
    .product_layout_2 .product_content_wrapper .woocommerce-tabs .panel {
        text-align: left;
    }

}

@media screen and (max-width: 1023px) {

    .site-branding {
        padding-left: 60px;
    }

    #sfm-sidebar .sfm-menu li a {
        text-transform: lowercase !important;
    }

    .custom-layout .product_content_wrapper .product-images-wrapper, .default-layout .product_content_wrapper .product-images-wrapper {
        margin: 5px 0 0 !important;
    }
}

@media screen and (max-width: 769px) {
    .top-headers-wrapper .site-header {
        padding-bottom: 20px;
    }
}

@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr; /* Stack columns */
    }

    .text-column {
        position: static; /* Remove sticky on smaller screens */
        margin-top: 20px;
    }

    .product-images-wrapper {
        min-height: unset;
    }
}

@media (max-width: 500px) {
}

@media screen and (max-width: 480px) {
    .site-tools li.my_account_icon {
        padding-top: 1px;
    }
}



/****************************************************************/

/* Copyleft 05.05.2025 */

.product-colors { margin: .5em 0; }
.product-colors p {
    margin: 0 0 0.5em;
    font-style: italic;
}

.product-colors .color-swatch {
  width: 13px;
  height: 13px;
  display: inline-block;
  margin-right: 4px;
  border-radius: 50%;
  background-color: var(--color-DEFAULT); /* fallback if needed */
}

/* Specific slugs will override via the :root you already printed: */
/* .product-colors .color-blue       { background-color: var(--color-blue); }
.product-colors .color-dk-red-mel { background-color: var(--color-dk-red-mel); } */

/* Copyleft 08.05.2025 */

/* ======= Mobile Menu ======= */
#mobile-menu-toggle {
    background: none;
    border: none;
    cursor: pointer;
    position: absolute;
    left: 0;
    z-index: 10009;

    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#mobile-menu-toggle .menu-icon {
    width: 24px;
    height: 2px;
    background: #000;
    position: relative;
    display: block;
    transition: background 0.3s ease;
}

.menu-icon::before,
.menu-icon::after {
    content: '';
    width: 24px;
    height: 2px;
    background: #000;
    position: absolute;
    left: 0;
    transition: transform 0.3s ease, top 0.3s ease, opacity 0.3s ease;
}

.menu-icon::before {
    top: -8px;
}
.menu-icon::after {
    top: 8px;
}


/* Animate to X when menu is open */
#mobile-menu-toggle.open .menu-icon {
    background: transparent;
}

#mobile-menu-toggle.open .menu-icon::before {
    transform: rotate(45deg);
    top: 0;
}

#mobile-menu-toggle.open .menu-icon::after {
    transform: rotate(-45deg);
    top: 0;
}

.mobile-menu-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #fff;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    z-index: 9998;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
}

.mobile-menu-wrapper.active {
    transform: translateX(0);
}

ul.mobile-menu {
    list-style: none;
    padding: 0 0 0 7px;
    margin-top: 5rem;
    margin-left: 0;
}

ul.sub-menu {
    list-style: none;

    li {
        padding: 10px 0;

        a {
            font-weight: 400;
        }
    }
}

.mobile-menu li.menu-item-has-children > ul.sub-menu {
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.3s ease;
}

.mobile-menu li.menu-item-has-children.submenu-open > ul.sub-menu {
    display: block;
}

.mobile-menu li {
    text-align: left;
    line-height: 1.5;
    padding: 10px 0;

    &.current-menu-item > a {
        text-decoration: underline;
    }
}

.mobile-menu li:last-child {
    padding-bottom: 0;
}

.mobile-menu a {
    position: relative;
    padding-left: 0;
    font-size: 0.8rem;
    font-weight: 600;;
    text-decoration: none;
    color: #000;
    text-transform: lowercase;
    transition: all 0.3s ease;

    &::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 1px;
        bottom: -2px;
        left: 0;
        background-color: #000;
        transform: scaleX(0);
        transform-origin: left;
        transition: transform 0.3s ease;
    }

    &:hover::after {
        transform: scaleX(1);
    }
}

@media (min-width: 1025px) {
    #mobile-menu-toggle,
    .mobile-menu-wrapper {
        display: none;
    }
}

@media (min-width: 501px) and (max-width: 1023px) {
}